<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";


echo '<img src="../images/img/partners.gif" alt=""> <b>Популярные скины</b><br><br>';

echo 'Вы используете скин: <b>'.check($udata[20]).'</b><br><br>';
//------------------------------ НОВАЯ ФУНКЦИЯ КЕШИРОВАНИЯ ------------------------------//
$filtime=filemtime("../local/datatmp/themes.dat");
$filtime=$filtime+(3600*$config_themescache);

if($sitetime>=$filtime){

foreach (glob(BASEDIR."local/profil/*.prof") as $filename) {
$array_users[] = basename($filename);
}

foreach($array_users as $k){
$tex = file("../local/profil/$k");	
$data = explode(":||:",$tex[0]);
if($data[20]!=""){
$dat_skins[]=$data[20]; 
}}

$dir = opendir ("../themes"); 
while ($file = readdir ($dir)) {
if(!eregi("[^a-z0-9_-]",$file)){ 
$dat_themes[]=$file;}}
closedir ($dir);

$newskin_array=array_count_values($dat_skins);

foreach($dat_themes as $k){
$data_themes[]=check($k);
$data_values[]=(int)$newskin_array[$k];
}

arsort($data_values);	

foreach($data_values as $k=>$v){
$dat_top[] = '|'.$data_themes[$k].'|'.$v.'|';	
fputs($fp,"$text\r\n");
} 

$dat_top=implode("\r\n",$dat_top);

if($dat_top!=""){
$fp = fopen("../local/datatmp/themes.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$dat_top\r\n");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0666); 
chmod ("../local/datatmp/themes.dat", 0666); 
}
}
	

//------------------------------ ВЫВОД ИЗ КЕША ------------------------------//	
$file = file("../local/datatmp/themes.dat");
$total = count($file);

foreach($file as $tval){
$data = explode("|",$tval);
echo '<img src="../images/img/act.gif" alt=""> <b><a href="../pages/skin.php?skins='.$data[1].'&amp;'.SID.'">'.$data[1].'</a></b> - <b>'.(int)$data[2].'</b> чел.<br>';
}
  

$bestskin = explode("|",$file[0]);
$worstskin = explode("|",end($file));  
 
echo '<br>Всего скинов: <b>'.(int)$total.'</b><br><br>';
echo 'Наиболее популярный скин: <b>'.$bestskin[1].'</b> (Используют <b>'.$bestskin[2].'</b> чел.)<br>';
echo 'Наименее популярный скин: <b>'.$worstskin[1].'</b> (Используют <b>'.$worstskin[2].'</b> чел.)<br>';


echo'<br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>

